Search for _array

  1. Search 7.x for _array
  2. Search 9.5.x for _array
  3. Search 8.9.x for _array
  4. Search 10.3.x for _array
  5. Search main for _array
  6. Other projects
Title Object type File name Summary
PhpArrayContainer::createService function core/lib/Drupal/Component/DependencyInjection/PhpArrayContainer.php Creates a service from a service definition.
PhpArrayContainer::resolveServicesAndParameters function core/lib/Drupal/Component/DependencyInjection/PhpArrayContainer.php Resolves arguments that represent services or variables to the real values.
PhpArrayContainer::__construct function core/lib/Drupal/Component/DependencyInjection/PhpArrayContainer.php Constructs a new Container instance.
PhpArrayContainerTest class core/tests/Drupal/Tests/Component/DependencyInjection/PhpArrayContainerTest.php Tests Drupal\Component\DependencyInjection\PhpArrayContainer.
PhpArrayContainerTest.php file core/tests/Drupal/Tests/Component/DependencyInjection/PhpArrayContainerTest.php
PhpArrayContainerTest::getCollection function core/tests/Drupal/Tests/Component/DependencyInjection/PhpArrayContainerTest.php Helper function to return a machine-optimized '@notation'.
PhpArrayContainerTest::getParameterCall function core/tests/Drupal/Tests/Component/DependencyInjection/PhpArrayContainerTest.php Helper function to return a service definition.
PhpArrayContainerTest::getServiceCall function core/tests/Drupal/Tests/Component/DependencyInjection/PhpArrayContainerTest.php Helper function to return a service definition.
PhpArrayContainerTest::setUp function core/tests/Drupal/Tests/Component/DependencyInjection/PhpArrayContainerTest.php
PhpArrayDumper class core/lib/Drupal/Component/DependencyInjection/Dumper/PhpArrayDumper.php PhpArrayDumper dumps a service container as a PHP array.
PhpArrayDumper.php file core/lib/Drupal/Component/DependencyInjection/Dumper/PhpArrayDumper.php
PhpArrayDumper::dumpCollection function core/lib/Drupal/Component/DependencyInjection/Dumper/PhpArrayDumper.php Dumps a collection to a PHP array.
PhpArrayDumper::getArray function core/lib/Drupal/Component/DependencyInjection/Dumper/PhpArrayDumper.php Gets the service container definition as a PHP array.
PhpArrayDumper::getParameterCall function core/lib/Drupal/Component/DependencyInjection/Dumper/PhpArrayDumper.php Gets a parameter reference in a suitable PHP array format.
PhpArrayDumper::getServiceCall function core/lib/Drupal/Component/DependencyInjection/Dumper/PhpArrayDumper.php Gets a service reference for an ID in a suitable PHP array format.
PhpArrayDumper::supportsMachineFormat function core/lib/Drupal/Component/DependencyInjection/Dumper/PhpArrayDumper.php Whether this supports the machine-optimized format or not.
PhpArrayDumperTest class core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php Tests Drupal\Component\DependencyInjection\Dumper\PhpArrayDumper.
PhpArrayDumperTest.php file core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php
PhpArrayDumperTest::getCollection function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php Helper function to return a machine-optimized collection.
PhpArrayDumperTest::getParameterCall function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php Helper function to return a parameter definition.
PhpArrayDumperTest::getServiceCall function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php Helper function to return a service definition.
PhpArrayDumperTest::serializeDefinition function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php Helper function to serialize a definition.
PhpArrayDumperTest::setUp function core/tests/Drupal/Tests/Component/DependencyInjection/Dumper/PhpArrayDumperTest.php
PlaceholdersTest::callbackNonArrayReturn function core/tests/Drupal/Tests/Core/Render/RendererTestBase.php A lazy builder callback that returns an invalid renderable.
PoItem::setFromArray function core/lib/Drupal/Component/Gettext/PoItem.php Create the PoItem from a structured array.
PoStreamReader::setItemFromArray function core/lib/Drupal/Component/Gettext/PoStreamReader.php Store the parsed values as a PoItem object.
ProjectRelease::createFromArray function core/modules/update/src/ProjectRelease.php Creates a ProjectRelease instance from an array.
ProjectReleaseTest::providerCreateFromArray function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Data provider for testCreateFromArray().
ProjectReleaseTest::providerCreateFromArrayInvalidField function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Data provider for testCreateFromArrayInvalidField().
ProjectReleaseTest::providerCreateFromArrayMissingField function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Data provider for testCreateFromArrayMissingField().
ProjectReleaseTest::testCreateFromArray function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Tests creating with valid data.
ProjectReleaseTest::testCreateFromArrayInvalidField function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Tests exceptions for invalid field types.
ProjectReleaseTest::testCreateFromArrayMissingField function core/modules/update/tests/src/Unit/ProjectReleaseTest.php Tests exceptions with missing fields.
QueryTest::testArrayArgumentsSQLInjection function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests SQL injection via database query array arguments.
QueryTest::testArraySubstitution function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests that we can pass an array of values directly in the query.
RearrangeFilter::arrayKeyPlus function core/modules/views_ui/src/Form/Ajax/RearrangeFilter.php Adds one to each key of an array.
RecipeConfigStorageWrapper::createStorageFromArray function core/lib/Drupal/Core/Recipe/RecipeConfigStorageWrapper.php Creates a single config storage for an array of storages.
RedirectDestination::getAsArray function core/lib/Drupal/Core/Routing/RedirectDestination.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationInterface::getAsArray function core/lib/Drupal/Core/Routing/RedirectDestinationInterface.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTest::testGetAsArray function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests get as array.
RedirectDestinationTrait::getDestinationArray function core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RenderArrayNonHtmlSubscriber class core/lib/Drupal/Core/EventSubscriber/RenderArrayNonHtmlSubscriber.php Throws 406 if requesting non-HTML format and controller returns render array.
RenderArrayNonHtmlSubscriber.php file core/lib/Drupal/Core/EventSubscriber/RenderArrayNonHtmlSubscriber.php
RenderArrayNonHtmlSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/RenderArrayNonHtmlSubscriber.php
RenderArrayNonHtmlSubscriber::onRespond function core/lib/Drupal/Core/EventSubscriber/RenderArrayNonHtmlSubscriber.php Throws an HTTP 406 error if client requested a non-HTML format.
RenderArrayNonHtmlSubscriberTest class core/modules/system/tests/src/Functional/Render/RenderArrayNonHtmlSubscriberTest.php Functional test verifying that render array throws 406 for non-HTML requests.
RenderArrayNonHtmlSubscriberTest class core/modules/system/tests/src/Kernel/Render/RenderArrayNonHtmlSubscriberTest.php Functional test verifying that render array throws 406 for non-HTML requests.
RenderArrayNonHtmlSubscriberTest.php file core/modules/system/tests/src/Kernel/Render/RenderArrayNonHtmlSubscriberTest.php
RenderArrayNonHtmlSubscriberTest.php file core/modules/system/tests/src/Functional/Render/RenderArrayNonHtmlSubscriberTest.php
RenderArrayNonHtmlSubscriberTest::$defaultTheme property core/modules/system/tests/src/Functional/Render/RenderArrayNonHtmlSubscriberTest.php The theme to install as the default for testing.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.